Endpoint referencePCI reports
Snapshot history for a store
GET
bearerAuthheader
AuthorizationBearer <token>API token created in Settings → API. Scopes are attached to the token; each operation lists its required scope in x-scope.
org_id?stringPartners only (orgs:manage): act on this child organization. May also be sent as org_id in JSON bodies.
Format
uuidstore_id*stringFormat
uuidkind?stringValue in
"weekly""on_demand""monthly"limit?integerRange
1 <= value <= 100Default
50cursor?stringOpaque cursor from next_cursor
Snapshots (without data)
application/json- response
data?array<>next_cursor?string|nullcurl -X GET "https://example.com/reports/pci/snapshots?store_id=497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "store_id": "7fe87115-950c-4ae8-bd7e-970406bc9ac0", "kind": "weekly", "period_start": "2019-08-24T14:15:22Z", "period_end": "2019-08-24T14:15:22Z", "locale": "pt-BR", "schema_version": 0, "sha256": "string", "generated_by": "string", "has_pdf": true, "csv_tables": [ "string" ], "created_at": "2019-08-24T14:15:22Z" } ], "next_cursor": "string"}